//
//  ComposeCurrentAccount.swift
//  Tusker
//
//  Created by Shadowfacts on 8/18/20.
//  Copyright © 2020 Shadowfacts. All rights reserved.
//

import SwiftUI
import Pachyderm

struct ComposeCurrentAccount: View {
    @EnvironmentObject var mastodonController: MastodonController
    
    var account: Account? {
        mastodonController.account
    }
    
    var body: some View {
        HStack(alignment: .top) {
            ComposeAvatarImageView(url: account?.avatar)
                .accessibility(label: Text(account != nil ? "\(account!.displayName) avatar" : "Avatar"))
            
            if let id = account?.id,
               let account = mastodonController.persistentContainer.account(for: id) {
                VStack(alignment: .leading) {
                    AccountDisplayNameLabel(account: account, fontSize: 20)
                        .lineLimit(1)
                    
                    Text(verbatim: "@\(account.acct)")
                        .font(.system(size: 17, weight: .light))
                        .foregroundColor(.secondary)
                        .lineLimit(1)
                }
            }
            
            Spacer()
        }
    }
}

//struct ComposeCurrentAccount_Previews: PreviewProvider {
//    static var previews: some View {
//        ComposeCurrentAccount(account: )
//    }
//}
